Skip to content

Preview ownership-aware Manual Order teardown dependencies.

POST
/api/workspace/entity/{entityIdOrKey}/ui/manual-order/teardown/preview
curl --request POST \
--url https://example.com/api/workspace/entity/example/ui/manual-order/teardown/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
entityIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request for a direct Manual Order capability teardown preview.

object
Examplegenerated
{}

OK

Media typeapplication/json
object
Data

Ownership-aware Manual Order removal preview.

object
EntityDefinitionId
string
nullable
HasCapability
boolean
CapabilityRowVersion
string format: uuid
nullable
Dependencies
Array<object>
nullable

One access-safe Manual Order removal dependency.

object
Kind

Kind of persisted object that references Manual Order.

integer format: int32
Allowed values: 0 1 2 3 4 5 6
Classification

Ownership-aware dependency classification.

integer format: int32
Allowed values: 0 1
ResourceId
string
nullable
CanExecute
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dependencies": [
{
"Kind": 0,
"Classification": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Ownership-aware Manual Order removal preview.

object
EntityDefinitionId
string
nullable
HasCapability
boolean
CapabilityRowVersion
string format: uuid
nullable
Dependencies
Array<object>
nullable

One access-safe Manual Order removal dependency.

object
Kind

Kind of persisted object that references Manual Order.

integer format: int32
Allowed values: 0 1 2 3 4 5 6
Classification

Ownership-aware dependency classification.

integer format: int32
Allowed values: 0 1
ResourceId
string
nullable
CanExecute
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dependencies": [
{
"Kind": 0,
"Classification": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Ownership-aware Manual Order removal preview.

object
EntityDefinitionId
string
nullable
HasCapability
boolean
CapabilityRowVersion
string format: uuid
nullable
Dependencies
Array<object>
nullable

One access-safe Manual Order removal dependency.

object
Kind

Kind of persisted object that references Manual Order.

integer format: int32
Allowed values: 0 1 2 3 4 5 6
Classification

Ownership-aware dependency classification.

integer format: int32
Allowed values: 0 1
ResourceId
string
nullable
CanExecute
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dependencies": [
{
"Kind": 0,
"Classification": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}